# Class AlignmentAttributes

#### Hierarchy

- XmlAttributeComponent<{
  val: AlignmentType;
  }>
  - AlignmentAttributes

- Defined in src/file/paragraph/formatting/alignment.ts:51

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new AlignmentAttributes(root): AlignmentAttributes

- #### Parameters

  - ##### root: {
    val: AlignmentType;
    }

    - ##### `Readonly` val: AlignmentType

  #### Returns AlignmentAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc